/* This file is all the stuff I want to be
able to change without having to update the
source repository.
*/

#ifndef CONFIG_H
#define CONFIG_H

#ifdef CONFIG_ROOT
#undef CONFIG_ROOT
#define CONFIG_ROOT "homeassistant/climate/"
#endif 

#ifdef DEVICE_NAME
#undef DEVICE_NAME
#define DEVICE_NAME "Glycol Chiller"
#endif 

#ifdef DEVICE_MDL
#undef DEVICE_MDL
#define DEVICE_MDL "Chillenator v0.1"
#endif 

#ifdef DEVICE_MF
#undef DEVICE_MF
#define DEVICE_MF "Damn Yankee Brewing"
#endif 

// MQTT Topic Definitions
#ifdef ROOT
#undef ROOT
#define ROOT "brewery/"
#endif 

static const byte mac[] = { 0xA6, 0x61, 0x0A, 0xAE, 0x89, 0xDE }; //physical mac address
static const IPAddress ip(192,168,1,177);
// Addresses of 3 DS18B20s
uint8_t glycol[8] = { 0x28, 0xEE, 0xD5, 0x64, 0x1A, 0x16, 0x02, 0xEC };
uint8_t fermA[8] = { 0x28, 0x61, 0x64, 0x12, 0x3C, 0x7C, 0x2F, 0x27 };
uint8_t fermB[8] = { 0x28, 0x61, 0x64, 0x12, 0x3F, 0xFD, 0x80, 0xC6 };


#define ONE_WIRE_BUS D2
#define COOL_A_PIN D3
#define COOL_B_PIN D4
#define HEAT_A_PIN D5
#define HEAT_B_PIN D6
#define GLYCOL_PIN D7

#endif
